﻿local button = {};
local label = {};
moving = {};
local newFont = guiCreateFont ( "Files/Font.ttf", 10 )
function guiCreateWindow(x, y, w, h, text, relative, close)
	
	if (not close) then close = false; end
	
	if (x and y) then
		local background = guiCreateStaticImage(x, y, w, h, "Files/background.png", relative);
		local topBackground = guiCreateStaticImage(0, 0, w, 25, "Files/background.png", relative, background);
		guiSetProperty(background, "ImageColours", "tl:80000000 tr:80000000 bl:80000000 br:80000000");
		guiSetProperty(topBackground, "ImageColours", "tl:ff363636 tr:ff363636 bl:ff363636 br:ff363636");
		
		addEventHandler("onClientGUIMouseUp", topBackground,
			function()
				moving[topBackground] = false;
			end, false
		)
		
		addEventHandler("onClientGUIMouseDown", topBackground,
			function(button, cursorX, cursorY)
				if (button == "left") then
					if (not moving[topBackground]) then
						moving[topBackground] = true;
						local guiPos = {guiGetPosition(background, false)};
						local mouseX, mouseY = cursorX - guiPos[1], cursorY - guiPos[2];
						setPos = {mouseX, mouseY};
					end
				end
			end, false
		)
		
		addEventHandler("onClientCursorMove", root,
			function(_, _, cursorX, cursorY)
				if (moving[topBackground]) then
					guiSetPosition(background, cursorX - setPos[1], cursorY - setPos[2], false);
				end
			end, false
		)
		
		local title = guiCreateLabel(0, 0, w, 25, text, relative, topBackground);
		guiSetEnabled(title, false);
		guiSetFont(title,newFont);
		guiLabelSetHorizontalAlign(title, "center");
		guiLabelSetVerticalAlign(title, "center");
		guiBringToFront(title);
		
		if (close) then
			local imgClose = guiCreateStaticImage(w - 25, 0, 25, 25, "Files/background.png", relative, topBackground);
			local btnClose = guiCreateLabel(w - 15, 4, 25, 25, "X", false, topBackground);
			guiSetFont(btnClose, "default-bold-small");
			guiBringToFront(btnClose);
			guiSetProperty(imgClose, "ImageColours", "tl:ff00ffff  tr:ff00ffff  bl:ff00ffff  br:ff00ffff");
			guiLabelSetColor(btnClose, 0, 0, 0);
			addEventHandler("onClientGUIClick", imgClose, closeWindow, false);
			addEventHandler("onClientMouseEnter", imgClose, hoverButton_closeDown, false);
			addEventHandler("onClientMouseLeave", imgClose, hoverButton_closeUp, false);
			button[imgClose] = background;
			setElementData(imgClose, "tooltip-text", "Fechar", false);
			setElementData(imgClose, "tooltip-background", "00ffff", false);
		end
		
		return background;
	end
	
end
 function guiCreateButton(x, y, w, h, text, relative, parent, hover, hColor)

	 if (not hover) then hover = true; end
 if (not hColor) then hColor = "ff0000"; end

	 if (x and y) then
		 local btnBackground = guiCreateStaticImage(x, y, w, h, "Files/background.png", relative, parent);
		 guiSetProperty(btnBackground, "ImageColours", "tl:9000ffff  tr:9000ffff  bl:9000ffff  br:9000ffff ");
		
		 if (hover) then
			 addEventHandler("onClientMouseEnter", btnBackground, 
				 function()
					 guiSetProperty(source, "ImageColours", "tl:"..hColor.." tr:"..hColor.." bl:"..hColor.." br:"..hColor.."");
				 end, false);
				
			 addEventHandler("onClientMouseLeave", btnBackground,
				 function()
					 guiSetProperty(source, "ImageColours", "tl:9000ffff tr:9000ffff  bl:9000ffff  br:9000ffff ");
				 end, false);
		 end
		
	 local btnTitle = guiCreateLabel(0, 0, w, h, text, relative, btnBackground);
		 guiSetEnabled(btnTitle, false);
		 guiSetFont(btnTitle,newFont);
		 guiLabelSetHorizontalAlign(btnTitle, "center");
		guiLabelSetVerticalAlign(btnTitle, "center");
		 guiBringToFront(btnTitle);
		
		 return btnBackground;
	 end
	
end



